%{?nodejs_find_provides_and_requires}

%global packagename umd
%global enable_tests 1

Name: nodejs-%{packagename}
Version: 3.0.1
Release: 1%{?dist}.3
Summary: Universal Module Definition for use in automated build systems
License: MIT
URL: https://github.com/ForbesLindesay/umd
Source0: https://registry.npmjs.org/%{packagename}/-/%{packagename}-%{version}.tgz
# The test files are not included in the npm tarball.
# Source1 is generated by running Source10, which pulls from the upstream
# version control repository.
Source1: tests-%{version}.tar.bz2
Source2: examples-%{version}.tar.bz2
Source10: dl-tests.sh

BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs-packaging
BuildRequires: npm(uglify-js) >= 2.4.0
BuildRequires: npm(uglify-js) < 3.0.0

%if 0%{?enable_tests}
BuildRequires: npm(mocha)
%endif

%description
Universal Module Definition for use in automated build systems

 - simple synchronous wrapping of a string
 - return style module support
 - CommonJS support
 - prevents internal UMDs from conflicting


%prep
%setup -q -n package
%setup -q -T -D -a 1 -n package
%setup -q -T -D -a 2 -n package

%nodejs_fixdep uglify-js '^2.4.0'


%build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{packagename}
cp -pr bin package.json *.js \
        %{buildroot}%{nodejs_sitelib}/%{packagename}
mkdir -p %{buildroot}%{_bindir}
ln -sf %{nodejs_sitelib}/%{packagename}/bin/cli.js %{buildroot}%{_bindir}/umd

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%{_bindir}/mocha -R spec
%endif


%files
%doc *.md examples/
%{nodejs_sitelib}/%{packagename}
%{_bindir}/umd

%changelog
* Tue Sep 20 2016 Oleg Girko <ol@infoserver.lv> - 3.0.1-1
- Initial package.
